#whatsapp_widget{position: fixed;
    left: 30px;
    bottom: 30px;
    transition: 0.5s;
    z-index: 9999;
    
    
}
#myDiv {
	visibility: hidden;

}


 #whatsapplink{
   position: fixed;
    width: 60px;
    height: 60px;
    bottom: 50px;
    left: 15px;
    background-color: #25d366;
    color: #fff;
    border-radius: 50px;
    text-align: center;
    font-size: 30px;
    z-index: 100;
    line-height: 60px;
    -webkit-animation-name: pulse;
    animation-name: pulse;
    -webkit-animation-duration: 1.5s;
    animation-duration: 1.5s;
    -webkit-animation-timing-function: ease-out;
    animation-timing-function: ease-out;
    -webkit-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
   
}

@-webkit-keyframes pulse {
    0% {
        -webkit-box-shadow: 0 0 0 0 rgb(37 211 102 / .5);
        box-shadow: 0 0 0 0 rgb(37 211 102 / .5)
    }

    80% {
        -webkit-box-shadow: 0 0 0 14px #fff0;
        box-shadow: 0 0 0 14px #fff0
    }
}

@keyframes pulse {
    0% {
        -webkit-box-shadow: 0 0 0 0 rgb(37 211 102 / .5);
        box-shadow: 0 0 0 0 rgb(37 211 102 / .5)
    }

    80% {
        -webkit-box-shadow: 0 0 0 14px #fff0;
        box-shadow: 0 0 0 14px #fff0
    }
}
.wp-link{ }


	.wp-link::before{
		    z-index: 9;
	content: "1";
    width: 16.8px;
    height: 16.8px;
    display: grid
;
    place-content: center;
    color: rgb(255, 255, 255);
    font-size: 13px;
    background-color: red;
    border-radius: 50%;
    font-family: sans-serif;
   position: relative;
		z-index: 9999;	
    top: -58px;
    right: -31px;
    box-shadow: rgba(0, 0, 0, 0.5) 0px 1px 2px;
}
    
 .Main_wrapper{
     padding: 0px;
     border: 0px;
     width: 350px;
     text-align: center;
     font-family: Roboto, "Helvetica Neue", sans-serif;
     position: absolute;
     bottom: 85px;
     line-height: 23px;
     font-size: 14px;
     left: 0px;
}
 .content_area {
     box-shadow: rgba(136, 136, 136, 0.4) 0px 1px 7px;
     border: 1px solid rgb(226, 226, 226);
     position: relative;
     min-height: 149px;
     border-radius: 15px;
     background-color: white;
     display: block;
}
 .top_header {
     border-radius: 16px 16px 0px 0px;
     background-color: rgb(77, 194, 71);
}
 .header_content {
     border-radius: 16px 16px 0px 0px;
     padding: 0px 15px;
     height: 80px;
     display: flex ;
     -webkit-box-pack: justify;
     justify-content: space-between;
     -webkit-box-align: center;
     align-items: center;
     backdrop-filter: brightness(0.5);
}
 .wrapper_align {
     display: flex ;
     -webkit-box-align: center;
     align-items: center;
     gap: 15px;
     text-decoration: none;
     position: relative;
}
 .dp-image-wrapper {
     position: relative;
}
 .dp-image-wrapper::after {
     content: "";
     width: 10px;
     height: 10px;
     background-color: rgb(77, 194, 71);
     border-radius: 50%;
     position: absolute;
     bottom: 2px;
     box-shadow: rgba(0, 0, 0, 0.1) 2px 2px 6px;
     right: 2px;
}
 .dp-image {
     height: 50px;
     width: 50px;
     min-width: 50px;
     border: 2px solid rgb(255, 255, 255);
     border-radius: 50%;
     background: url(../img/dp_whatsapp.jpg) center center / cover no-repeat;
     display: block !important;
}
 .profile-name {
     margin: 0px;
     color: white;
     font-weight: 600;
     font-size: 18px;
     text-align: left;
}
 .profile-status {
     margin: 0px;
     color: white;
     font-size: 14px;
     text-align: left;
     line-height: 1.3 !important;
}
 .close {
     width: 25px;
     height: 25px;
     cursor: pointer;
}
 .main-content-wrapper {
     padding: 15px;
}
 #date {
     margin: 0px 0px 15px;
     color: rgb(149, 157, 169);
}
 .chat-wrapper {
     display: flex ;
     gap: 10px;
     color: rgb(0, 0, 0);
}
 .chat-wrapper-dp-image {
     height: 35px;
     width: 35px;
     min-width: 35px;
     border-radius: 50%;
     background: url("../img/dp_whatsapp.jpg") center center / cover no-repeat;
     display: block !important;
}
 .chat-wrapper-bg {
     background: rgba(44, 120, 255, 0.2);
     max-height: 20vh;
     padding: 0px 0px;
     border-radius: 2px 20px 20px;
}
 .chat-text {
     padding: 10px 16px;
     line-height: 20px;
     white-space: pre-wrap;
     overflow-y: auto;
     height: 100%;
     box-sizing: border-box;
     text-align: left;
}

 .chat-text p {margin-bottom:0px!important}
 .chat-with-us {
     font-weight: bold;
     margin: 25px 0px 5px;
     color: rgb(0, 0, 0) !important;
}
 .whatsapp_b {
     cursor: pointer;
     width: auto;
     height: auto;
     display: block;
     color: #fff;
     text-decoration: none;
     padding: 13px;
     border-radius: 10px;
     background-color: rgb(77, 194, 71) !important;
     font-size: 20px;
}
 .whatsapp_b p {
     padding: 0px !important;
     margin: 0px;
}

.whatsapp_b:hover{color: #fff!important;}

 @keyframes zoom-in-zoom-out {
     0% {
         scale: 100%;
    }
     50% {
         scale: 120%;
    }
     100% {
         scale: 100%;
    }
}
